package com.sifang.modules.supply.warehouse.vo;

import org.hibernate.validator.constraints.NotBlank;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.Valid;
import java.util.List;

public class AddPurchaseOrderVo {

    private String id;

    @NotBlank(message = "供应商不能为空")
    private String supplierId;

    private String spaNumber;

    private String remark;

    private String updateReason;

    private String model;

    private String inWarehouseId;

    @Valid
    @NotEmpty(message = "materialList不能为空")
    private List<PurchaseOrderDetailVo> details;



    public String getInWarehouseId() {
        return inWarehouseId;
    }

    public void setInWarehouseId(String inWarehouseId) {
        this.inWarehouseId = inWarehouseId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(String supplierId) {
        this.supplierId = supplierId;
    }

    public String getSpaNumber() {
        return spaNumber;
    }

    public void setSpaNumber(String spaNumber) {
        this.spaNumber = spaNumber;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public List<PurchaseOrderDetailVo> getDetails() {
        return details;
    }

    public void setDetails(List<PurchaseOrderDetailVo> details) {
        this.details = details;
    }

    public String getUpdateReason() {
        return updateReason;
    }

    public void setUpdateReason(String updateReason) {
        this.updateReason = updateReason;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }



    @Override
    public String toString() {
        return "AddPurchaseOrderVo{" +
                "id='" + id + '\'' +
                ", supplierId='" + supplierId + '\'' +
                ", spaNumber='" + spaNumber + '\'' +
                ", remark='" + remark + '\'' +
                ", details=" + details +
                '}';
    }
}
